Orca Knowledgebase knowledgebase.php qid Variable SQL Injection

2005-11-29T15:18:45
ID OSVDB:21198
Type osvdb
Reporter r0t(krustevs@googlemail.com)
Modified 2005-11-29T15:18:45

Description

Vulnerability Description

Orca Knowledgebase contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the knowledgebase.php script not properly sanitizing user-supplied input to the qid variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.

Solution Description

Upgrade to version 2.1c or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

Orca Knowledgebase contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the knowledgebase.php script not properly sanitizing user-supplied input to the qid variable. This may allow an attacker to inject or manipulate SQL queries in the backend database.

Manual Testing Notes

/knowledgebase?qid=[SQL]

References:

Vendor URL: http://www.greywyvern.com/orca#know Secunia Advisory ID:17805 Packet Storm: http://packetstormsecurity.org/0511-advisories/sa17805.txt Other Advisory URL: http://pridels.blogspot.com/2005/11/orca-knowledgebase-sql-vuln.html FrSIRT Advisory: ADV-2005-2642 CVE-2005-3942 Bugtraq ID: 15637